#[macro_use]
use serde::{Serialize, Deserialize};

// How many lines are there from HIGHEST to LOWEST
const HEIGHT: usize = 32;
// "Pixels" from left to right
const WIDTH: usize = 32;
#[derive(Serialize, Deserialize, Debug)]
struct SemLine{
    line: u32,
    pixels:[u8;WIDTH]

}

#[cfg(test)]
mod tests {
    use super::*;
    use serde_json;
    #[test]
    fn test_serialize(){
        let test_struct: SemLine = SemLine{line:0,pixels:[0;WIDTH]};
        let serialized = serde_json::to_string(&test_struct).unwrap();
        let 
    }
    fn deserialize(){

    }
}
